using FitConnect.Models.v1.Api;
using Newtonsoft.Json;

namespace FitConnect.Models;

public class RejectSubmissionEvent : ISubmissionEvent {
    public RejectSubmissionEvent() {
        Problems = new List<Problems>();
    }

    public RejectSubmissionEvent(Problems[] problemsArray) {
        this.Problems = problemsArray.ToList();
    }

    [JsonProperty("problems", NullValueHandling = NullValueHandling.Ignore)]
    public List<Problems> Problems { get; set; }
}